function val = yc(problem,x,y,z)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      scdist5
% from  2022-04-01 



% remember the size of the input and resize it
[m,n,o] = size(x);
x = x(:)';
y = y(:)';
z = z(:)';

r = x.*x+y.*y+z.*z; 
% evaluate the function
if (r <= 0.5*0.5)
    val = cos(pi/2*r);
else
    val = (-4/3*cos(pi/8)-40/3).*r + 4/3*cos(pi/8) + 10/3;
end
% reshape the output
val = reshape(val,m,n,o);

